%define module_name MathML-itex2MML
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Simple.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.6.1
Release: alt2
Summary: Convert itex equations to MathML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DI/DISTLER/%{module_name}-%{version}.tar.gz

%description
`MathML::itex2MML' converts itex (a dialect of LaTeX) equations into
MathML. Inline equations are demarcated by `$..$' or `\(...\)'. Display
equations are demarcated by `$$...$$' or `\[...\]'. The syntax supported
is described here.

It is strongly suggested that you run the output through `MathML::Entities',
to convert named entities into either numeric character references or UTF-8 characters,
if you intend putting the result on the Web.

`MathML::itex2MML' is based on the commandline converter, itex2MML.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Todo Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.6.1-alt2
- rebuild with perl 5.38

* Sat Oct 09 2021 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.6.0-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.0-alt2
- rebuild with perl 5.30

* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.0-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.5.10-alt1.1
- rebuild with perl 5.28.1

* Sun Jan 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.10-alt1
- initial import by package builder

